# Record Class CATypeRecordIdentifier

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CATypeRecordIdentifier

Record Components:
  `packageName` - The package name
  `typeName` - The type name

All Implemented Interfaces:
  `Comparable<CATypeRecordIdentifier>`

public record CATypeRecordIdentifier(com.io7m.lanark.core.RDottedName packageName, com.io7m.lanark.core.RDottedName typeName) extends Record implements Comparable<CATypeRecordIdentifier>
A fully qualified record type identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeRecordIdentifier(com.io7m.lanark.core.RDottedName packageName, com.io7m.lanark.core.RDottedName typeName)`
  A fully qualified record type identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CATypeRecordIdentifier other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static CATypeRecordIdentifier`
  `of(String text)`
  Parse a type record identifier.
  `com.io7m.lanark.core.RDottedName`
  `packageName()`
  Returns the value of the `packageName` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.lanark.core.RDottedName`
  `typeName()`
  Returns the value of the `typeName` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypeRecordIdentifier

    public CATypeRecordIdentifier(com.io7m.lanark.core.RDottedName packageName, com.io7m.lanark.core.RDottedName typeName)
    A fully qualified record type identifier.
    Parameters:
      `packageName` - The package name
      `typeName` - The type name

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(CATypeRecordIdentifier other)
    Specified by:
      `compareTo` in interface `Comparable<CATypeRecordIdentifier>`

  - ### of

    public static CATypeRecordIdentifier of(String text)
    Parse a type record identifier.
    Parameters:
      `text` - The text
    Returns:
      An identifier

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### packageName

    public com.io7m.lanark.core.RDottedName packageName()
    Returns the value of the `packageName` record component.
    Returns:
      the value of the `packageName` record component

  - ### typeName

    public com.io7m.lanark.core.RDottedName typeName()
    Returns the value of the `typeName` record component.
    Returns:
      the value of the `typeName` record component